JMessage.JMessageButtonEnum
Date: 2014-06-07

gr.zeus.ui

## Enum JMessage.JMessageButtonEnum

- java.lang.Object
- - java.lang.Enum<JMessage.JMessageButtonEnum>
  - - gr.zeus.ui.JMessage.JMessageButtonEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JMessage.JMessageButtonEnum>
  Enclosing class:
    JMessage

      public static enum JMessage.JMessageButtonEnum
      extends java.lang.Enum<JMessage.JMessageButtonEnum>

  Enum with all the supported buttons of the dialog.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL`
    `NO`
    `OK`
    `YES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JMessage.JMessageButtonEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JMessage.JMessageButtonEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final JMessage.JMessageButtonEnum OK

    - #### CANCEL

          public static final JMessage.JMessageButtonEnum CANCEL

    - #### YES

          public static final JMessage.JMessageButtonEnum YES

    - #### NO

          public static final JMessage.JMessageButtonEnum NO

  - ### Method Detail

    - #### values

          public static JMessage.JMessageButtonEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JMessage.JMessageButtonEnum c : JMessage.JMessageButtonEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JMessage.JMessageButtonEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null